org.springframework.batch.item.file

## Class FlatFileParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.batch.item.ItemReaderException
        - - org.springframework.batch.item.ParseException
          - - org.springframework.batch.item.file.FlatFileParseException

- All Implemented Interfaces:
    java.io.Serializable

      public class FlatFileParseException
      extends ParseException

  Exception thrown when errors are encountered parsing flat files. The original input, typically a line, can be passed in, so that latter catches can write out the original input to a log, or an error table.
  Author:
    Lucas Ward, Ben Hale
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlatFileParseException(java.lang.String message, java.lang.String input)`
    `FlatFileParseException(java.lang.String message, java.lang.String input, int lineNumber)`
    `FlatFileParseException(java.lang.String message, java.lang.Throwable cause, java.lang.String input, int lineNumber)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInput()`
    `int` | `getLineNumber()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlatFileParseException

          public FlatFileParseException(java.lang.String message,
                                        java.lang.String input)

    - #### FlatFileParseException

          public FlatFileParseException(java.lang.String message,
                                        java.lang.String input,
                                        int lineNumber)

    - #### FlatFileParseException

          public FlatFileParseException(java.lang.String message,
                                        java.lang.Throwable cause,
                                        java.lang.String input,
                                        int lineNumber)

  - ### Method Detail

    - #### getInput

          public java.lang.String getInput()

    - #### getLineNumber

          public int getLineNumber()